//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.01.21 at 01:52:15 PM IST 
//


package com.incred.janus.models.cibil.request.application;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ApplicantType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ApplicantType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ApplicantType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ApplicantFirstName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ApplicantMiddleName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ApplicantLastName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="DateOfBirth" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="Gender" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="EmailAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="CompanyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Identifiers" type="{}IdentifiersType"/>
 *         &lt;element name="Telephones" type="{}TelephonesType"/>
 *         &lt;element name="Addresses" type="{}AddressesType"/>
 *         &lt;element name="NomineeRelation" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="NomineeName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationType4" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationName4" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationType3" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationName3" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationType2" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationName2" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationType1" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberRelationName1" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="KeyPersonRelation" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="KeyPersonName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberOtherId3" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberOtherId3Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberOtherId2" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberOtherId2Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberOtherId1" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MemberOtherId1Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Accounts" type="{}AccountsType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ApplicantType", propOrder = {
    "applicantType",
    "applicantFirstName",
    "applicantMiddleName",
    "applicantLastName",
    "dateOfBirth",
    "gender",
    "emailAddress",
    "companyName",
    "identifiers",
    "telephones",
    "addresses",
    "nomineeRelation",
    "nomineeName",
    "memberRelationType4",
    "memberRelationName4",
    "memberRelationType3",
    "memberRelationName3",
    "memberRelationType2",
    "memberRelationName2",
    "memberRelationType1",
    "memberRelationName1",
    "keyPersonRelation",
    "keyPersonName",
    "memberOtherId3",
    "memberOtherId3Type",
    "memberOtherId2",
    "memberOtherId2Type",
    "memberOtherId1",
    "memberOtherId1Type",
    "accounts"
})
public class ApplicantType {

    @XmlElement(name = "ApplicantType", required = true)
    private String applicantType;
    @XmlElement(name = "ApplicantFirstName", required = true)
    private String applicantFirstName;
    @XmlElement(name = "ApplicantMiddleName", required = true)
    private String applicantMiddleName;
    @XmlElement(name = "ApplicantLastName", required = true)
    private String applicantLastName;
    @XmlElement(name = "DateOfBirth")
    private String dateOfBirth;
    @XmlElement(name = "Gender", required = true)
    private String gender;
    @XmlElement(name = "EmailAddress", required = true)
    private String emailAddress;
    @XmlElement(name = "CompanyName", required = true)
    private String companyName;
    @XmlElement(name = "Identifiers", required = true)
    private IdentifiersType identifiers;
    @XmlElement(name = "Telephones", required = true)
    private TelephonesType telephones;
    @XmlElement(name = "Addresses", required = true)
    private AddressesType addresses;
    @XmlElement(name = "NomineeRelation", required = true)
    private String nomineeRelation;
    @XmlElement(name = "NomineeName", required = true)
    private String nomineeName;
    @XmlElement(name = "MemberRelationType4", required = true)
    private String memberRelationType4;
    @XmlElement(name = "MemberRelationName4", required = true)
    private String memberRelationName4;
    @XmlElement(name = "MemberRelationType3", required = true)
    private String memberRelationType3;
    @XmlElement(name = "MemberRelationName3", required = true)
    private String memberRelationName3;
    @XmlElement(name = "MemberRelationType2", required = true)
    private String memberRelationType2;
    @XmlElement(name = "MemberRelationName2", required = true)
    private String memberRelationName2;
    @XmlElement(name = "MemberRelationType1", required = true)
    private String memberRelationType1;
    @XmlElement(name = "MemberRelationName1", required = true)
    private String memberRelationName1;
    @XmlElement(name = "KeyPersonRelation", required = true)
    private String keyPersonRelation;
    @XmlElement(name = "KeyPersonName", required = true)
    private String keyPersonName;
    @XmlElement(name = "MemberOtherId3", required = true)
    private String memberOtherId3;
    @XmlElement(name = "MemberOtherId3Type", required = true)
    private String memberOtherId3Type;
    @XmlElement(name = "MemberOtherId2", required = true)
    private String memberOtherId2;
    @XmlElement(name = "MemberOtherId2Type", required = true)
    private String memberOtherId2Type;
    @XmlElement(name = "MemberOtherId1", required = true)
    private String memberOtherId1;
    @XmlElement(name = "MemberOtherId1Type", required = true)
    private String memberOtherId1Type;
    @XmlElement(name = "Accounts", required = true)
    private AccountsType accounts;

    /**
     * Gets the value of the applicantType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApplicantType() {
        return applicantType;
    }

    /**
     * Sets the value of the applicantType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApplicantType(String value) {
        this.applicantType = value;
    }

    /**
     * Gets the value of the applicantFirstName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApplicantFirstName() {
        return applicantFirstName;
    }

    /**
     * Sets the value of the applicantFirstName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApplicantFirstName(String value) {
        this.applicantFirstName = value;
    }

    /**
     * Gets the value of the applicantMiddleName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApplicantMiddleName() {
        return applicantMiddleName;
    }

    /**
     * Sets the value of the applicantMiddleName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApplicantMiddleName(String value) {
        this.applicantMiddleName = value;
    }

    /**
     * Gets the value of the applicantLastName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApplicantLastName() {
        return applicantLastName;
    }

    /**
     * Sets the value of the applicantLastName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApplicantLastName(String value) {
        this.applicantLastName = value;
    }

    /**
     * Gets the value of the dateOfBirth property.
     */
    public String getDateOfBirth() {
        return dateOfBirth;
    }

    /**
     * Sets the value of the dateOfBirth property.
     */
    public void setDateOfBirth(String value) {
        this.dateOfBirth = value;
    }

    /**
     * Gets the value of the gender property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGender() {
        return gender;
    }

    /**
     * Sets the value of the gender property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGender(String value) {
        this.gender = value;
    }

    /**
     * Gets the value of the emailAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmailAddress() {
        return emailAddress;
    }

    /**
     * Sets the value of the emailAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmailAddress(String value) {
        this.emailAddress = value;
    }

    /**
     * Gets the value of the companyName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * Sets the value of the companyName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompanyName(String value) {
        this.companyName = value;
    }

    /**
     * Gets the value of the identifiers property.
     * 
     * @return
     *     possible object is
     *     {@link IdentifiersType }
     *     
     */
    public IdentifiersType getIdentifiers() {
        return identifiers;
    }

    /**
     * Sets the value of the identifiers property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdentifiersType }
     *     
     */
    public void setIdentifiers(IdentifiersType value) {
        this.identifiers = value;
    }

    /**
     * Gets the value of the telephones property.
     * 
     * @return
     *     possible object is
     *     {@link TelephonesType }
     *     
     */
    public TelephonesType getTelephones() {
        return telephones;
    }

    /**
     * Sets the value of the telephones property.
     * 
     * @param value
     *     allowed object is
     *     {@link TelephonesType }
     *     
     */
    public void setTelephones(TelephonesType value) {
        this.telephones = value;
    }

    /**
     * Gets the value of the addresses property.
     * 
     * @return
     *     possible object is
     *     {@link AddressesType }
     *     
     */
    public AddressesType getAddresses() {
        return addresses;
    }

    /**
     * Sets the value of the addresses property.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressesType }
     *     
     */
    public void setAddresses(AddressesType value) {
        this.addresses = value;
    }

    /**
     * Gets the value of the nomineeRelation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNomineeRelation() {
        return nomineeRelation;
    }

    /**
     * Sets the value of the nomineeRelation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNomineeRelation(String value) {
        this.nomineeRelation = value;
    }

    /**
     * Gets the value of the nomineeName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNomineeName() {
        return nomineeName;
    }

    /**
     * Sets the value of the nomineeName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNomineeName(String value) {
        this.nomineeName = value;
    }

    /**
     * Gets the value of the memberRelationType4 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationType4() {
        return memberRelationType4;
    }

    /**
     * Sets the value of the memberRelationType4 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationType4(String value) {
        this.memberRelationType4 = value;
    }

    /**
     * Gets the value of the memberRelationName4 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationName4() {
        return memberRelationName4;
    }

    /**
     * Sets the value of the memberRelationName4 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationName4(String value) {
        this.memberRelationName4 = value;
    }

    /**
     * Gets the value of the memberRelationType3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationType3() {
        return memberRelationType3;
    }

    /**
     * Sets the value of the memberRelationType3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationType3(String value) {
        this.memberRelationType3 = value;
    }

    /**
     * Gets the value of the memberRelationName3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationName3() {
        return memberRelationName3;
    }

    /**
     * Sets the value of the memberRelationName3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationName3(String value) {
        this.memberRelationName3 = value;
    }

    /**
     * Gets the value of the memberRelationType2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationType2() {
        return memberRelationType2;
    }

    /**
     * Sets the value of the memberRelationType2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationType2(String value) {
        this.memberRelationType2 = value;
    }

    /**
     * Gets the value of the memberRelationName2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationName2() {
        return memberRelationName2;
    }

    /**
     * Sets the value of the memberRelationName2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationName2(String value) {
        this.memberRelationName2 = value;
    }

    /**
     * Gets the value of the memberRelationType1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationType1() {
        return memberRelationType1;
    }

    /**
     * Sets the value of the memberRelationType1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationType1(String value) {
        this.memberRelationType1 = value;
    }

    /**
     * Gets the value of the memberRelationName1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberRelationName1() {
        return memberRelationName1;
    }

    /**
     * Sets the value of the memberRelationName1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberRelationName1(String value) {
        this.memberRelationName1 = value;
    }

    /**
     * Gets the value of the keyPersonRelation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKeyPersonRelation() {
        return keyPersonRelation;
    }

    /**
     * Sets the value of the keyPersonRelation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKeyPersonRelation(String value) {
        this.keyPersonRelation = value;
    }

    /**
     * Gets the value of the keyPersonName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKeyPersonName() {
        return keyPersonName;
    }

    /**
     * Sets the value of the keyPersonName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKeyPersonName(String value) {
        this.keyPersonName = value;
    }

    /**
     * Gets the value of the memberOtherId3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberOtherId3() {
        return memberOtherId3;
    }

    /**
     * Sets the value of the memberOtherId3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberOtherId3(String value) {
        this.memberOtherId3 = value;
    }

    /**
     * Gets the value of the memberOtherId3Type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberOtherId3Type() {
        return memberOtherId3Type;
    }

    /**
     * Sets the value of the memberOtherId3Type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberOtherId3Type(String value) {
        this.memberOtherId3Type = value;
    }

    /**
     * Gets the value of the memberOtherId2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberOtherId2() {
        return memberOtherId2;
    }

    /**
     * Sets the value of the memberOtherId2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberOtherId2(String value) {
        this.memberOtherId2 = value;
    }

    /**
     * Gets the value of the memberOtherId2Type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberOtherId2Type() {
        return memberOtherId2Type;
    }

    /**
     * Sets the value of the memberOtherId2Type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberOtherId2Type(String value) {
        this.memberOtherId2Type = value;
    }

    /**
     * Gets the value of the memberOtherId1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberOtherId1() {
        return memberOtherId1;
    }

    /**
     * Sets the value of the memberOtherId1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberOtherId1(String value) {
        this.memberOtherId1 = value;
    }

    /**
     * Gets the value of the memberOtherId1Type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberOtherId1Type() {
        return memberOtherId1Type;
    }

    /**
     * Sets the value of the memberOtherId1Type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberOtherId1Type(String value) {
        this.memberOtherId1Type = value;
    }

    /**
     * Gets the value of the accounts property.
     * 
     * @return
     *     possible object is
     *     {@link AccountsType }
     *     
     */
    public AccountsType getAccounts() {
        return accounts;
    }

    /**
     * Sets the value of the accounts property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccountsType }
     *     
     */
    public void setAccounts(AccountsType value) {
        this.accounts = value;
    }

}
